%define		snap	20090401
%define		rel	4
Summary:	HardDrive Active Protection System
Summary(pl.UTF-8):	HDAPS - system aktywnej ochrony dysku twardego
Name:		hdapsd
Version:	0.1
Release:	0.%{snap}.%{rel}
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/hdaps/%{name}-20090401.tar.gz
# Source0-md5:	897cee8b0192febd127470f3e9506aeb
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		format-security.patch
URL:		http://hdaps.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
# relies on kernel hdaps driver, which depends on CONFIG_X86
ExclusiveArch:	%{ix86} %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HardDrive Active Protection System.

The APS is a protection system for the ThinkPads internal harddrive. A
sensor inside the ThinkPad recognizes when the notebook is
accelerated. A software applet then is triggered to park the harddisk.
This way the risk of data loss in case of when the notebook is dropped
is significantly reduced since the read/write head of the harddrive is
parked and hence can't crash onto the platter when the notebook drops
onto the floor.

%description -l pl.UTF-8
HardDrive Active Protection System - system aktywnej ochrony dysku
twardego.

APS to system ochrony dla wewnętrznego dysku twardego ThinkPadów.
Czujnik wewnątrz ThinkPada rozpoznaje kiedy notebook podlega
przyspieszeniu. Aplet programowy reaguje na to parkując dysk twardy. W
ten sposób ryzyko utraty danych w przypadku upuszczenia notebooka jest
znacząco zmniejszane, ponieważ głowica odczytująco-zapisująca dysku
jest zaparkowana, dzięki czemu nie może uderzyć w talerz dysku przy
uderzeniu o podłoże.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	doc_DATA= \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_sbindir}/hdapsd
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{_mandir}/man8/hdapsd.8*
%changelog
* Tue Aug 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hdapsd.git;a=log;h=master

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> 6010494
- fix format string error
- rel 4

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> fb96b9a
- drop upstart support
- rel 3

* Mon Oct 03 2011 Elan Ruusamäe <glen@pld-linux.org> f5197dd
- no device-added event yet

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> 640b4a7
- update upstart deps

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> a12b5ca
- add upstart script

* Sun Jun 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f53bc1
- up to 20090401; switch to maintained version

* Fri Mar 27 2009 Elan Ruusamäe <glen@pld-linux.org> e040d36
- fix formatting if kernel module does not load

* Fri Mar 27 2009 Elan Ruusamäe <glen@pld-linux.org> 1d22d51
- up to 20081004

* Fri Mar 27 2009 Elan Ruusamäe <glen@pld-linux.org> 74b5b9e
- header, sda is more common

* Fri Mar 27 2009 Elan Ruusamäe <glen@pld-linux.org> 8622a46
- functions, add try-restart

* Wed Oct 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 46ba0b8
- up to 20070524

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f5e7bfc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 74f880f
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 0ce2deb
- orphaned, outdated

* Sun Apr 09 2006 Adam Gołębiowski <adamg@pld-linux.org> 5f2cfaa
- snap 20060409

* Thu Apr 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 6a7524b
- no reload in usage

* Thu Apr 06 2006 ankry <ankry@pld-linux.org> 4954831
- reload should not do the same as restart

* Thu Apr 06 2006 Adam Gołębiowski <adamg@pld-linux.org> b7f0389
- make sure that we have hdaps_protect kernel enabled before starting
  hdaps daemon
- do not HUP hdapsd in reload/force-reload - it makes it die; use
  $0 restart instead

* Sat Apr 01 2006 Jakub Bogusz <qboosh@pld-linux.org> b5ab353
- EA: x86*

* Sat Apr 01 2006 Jakub Bogusz <qboosh@pld-linux.org> bc90f40
- pl

